<div class="placement-client-case-folder">
  <app-content-banner [isDashboard]="false" pageName="Client Case Folder"></app-content-banner>
  <mat-card class="pccf-main-card mat-elevation-z0">
    <mat-card-header fxLayout="column" fxLayoutGap="5px">
      <!-- <div fxLayout="row" class="banner-outline">
        <div class="stats"><span><b>Total Units: </b>{{totalUnits}}</span></div>
        <div class="stats"><span><b>Occupied: </b>{{occupied}}</span></div>
        <div class="stats"><span><b>Online: </b>{{online}}</span></div>
        <div class="stats"><span><b>Offline: </b>{{offline}}</span></div>
        <div class="stats"><span><b>Pending Move-Ins: </b>{{moveIns}}</span></div>
        <div class="stats"><span><b>Pending Move-Outs: </b>{{moveOuts}}</span></div>
      </div> -->
    </mat-card-header>
    <mat-card-content>
      <mat-tab-group dynamicHeight [selectedIndex]="selectedTabIndex" (selectedTabChange)="tabChanged($event)">
        <!-- Case Notes Tab -->
        <mat-tab>
          <ng-template matTabLabel>
            <span>Case Notes</span>
          </ng-template>
          <ng-template matTabContent>
            <div class="example-small-box mat-elevation-z4" fxLayout="column">
              <div class="example-container mat-elevation-z0">
                <app-case-notes [clientData]="clientData"></app-case-notes>
              </div>
            </div>
          </ng-template>
        </mat-tab>
        <!-- Coordinated Assessment Survey Tab -->
        <mat-tab>
          <ng-template matTabLabel>
            <span>Coordinated Assessment Survey</span>
          </ng-template>
          <ng-template matTabContent>
            <div class="example-small-box mat-elevation-z4" fxLayout="column">
              <div class="example-container mat-elevation-z0">
                <app-coordinated-assessment-survey [capsClientId]="clientInfo ? clientInfo.capsClientNo : null" [optionUserId]="currentUser ? currentUser.optionUserId : null"></app-coordinated-assessment-survey>
              </div>
            </div>
          </ng-template>
        </mat-tab>
        <!-- Previous Applications & Determinations Tab -->
        <mat-tab>
          <ng-template matTabLabel>
            <span>Previous Applications & Determinations</span>
          </ng-template>
          <ng-template matTabContent>
            <div class="example-small-box mat-elevation-z4" fxLayout="column">
              <div class="example-container mat-elevation-z0">
                <app-previous-applications-determinations [clientData]="clientData"></app-previous-applications-determinations>
              </div>
            </div>
          </ng-template>
        </mat-tab>
        <!-- Client Documents Tab-->
        <mat-tab>
          <ng-template matTabLabel>
            <span>Client Documents</span>
          </ng-template>
          <ng-template matTabContent>
            <div class="example-small-box mat-elevation-z4" fxLayout="column">
              <div class="example-container mat-elevation-z0">
                <app-case-client-documents [clientDocumentsData]="clientDocumentsData"></app-case-client-documents>
              </div>
            </div>
          </ng-template>
        </mat-tab>
        <!-- VCS Referrals & Placements Tab-->
        <mat-tab>
          <ng-template matTabLabel>
            <span>VCS Referrals & Placements</span>
          </ng-template>
          <ng-template matTabContent>
            <div class="example-small-box mat-elevation-z4" fxLayout="column">
              <div class="example-container mat-elevation-z0">
                <app-vcs-referrals-placements [pactClientId]="clientInfo ? clientInfo.pactClientID : null"></app-vcs-referrals-placements>
              </div>
            </div>
          </ng-template>
        </mat-tab>
        <!-- VPS Referrals Tab (No Requirement till date, hidden for now) -->
        <!-- <mat-tab>
          <ng-template matTabLabel>
            <span>VPS Referrals</span>
          </ng-template>
          <ng-template matTabContent>
            <div class="example-small-box mat-elevation-z4" fxLayout="column">
              <div class="example-container mat-elevation-z0">
                <app-vps-referrals></app-vps-referrals>
              </div>
            </div>
          </ng-template>
        </mat-tab> -->
      </mat-tab-group>
    </mat-card-content>
  </mat-card>
  <app-nav-footer
    [isSaveRequired] = "false"
    (Previousbtn)="previousPage()"
    (Nextbtn)="nextPage()"></app-nav-footer>
</div>
